HP storage devices using CCISS driver undetectable by Jaunty Ubuntu Server

Bug #325947 reported by Jerone Young on 2009-02-05
32
Affects Status Importance Assigned to Milestone
ubiquity
Invalid
Undecided
Unassigned
base-installer (Ubuntu)
High
Colin Watson
grub-installer (Ubuntu)
High
Colin Watson
hw-detect (Ubuntu)
High
Colin Watson
os-prober (Ubuntu)
High
Colin Watson
partman-base (Ubuntu)
High
Colin Watson

Bug Description

Ubuntu server is unable to detect storage which is attached to raid controlers using the cciss driver.

This works fine with 8.04.2 server. It also is detected and seen Jaunty Desktop Live CD/installer.

I will attach screen shots.

Jerone Young (jerone) wrote :
Jerone Young (jerone) wrote :
Manoj Iyer (manjo) wrote :

I was unable to get to the remote console, installed the reqiured java plugins but no help. I also tried a windows computer and explorer to use activeX and that did not connect either it said something like "too many telnet sesssion". Can you post more debug information ?

Jerone Young (jerone) wrote :

So this is not an issue with the kernel, as I dropped down to a shell from the server installer and the cciss module is loaded and /proc/partitions show the partitions on the disk attached via the raid controller.

Manoj Iyer (manjo) wrote :

Posting screen shots of lspci for RAID Bus Controller. (1/2)

Manoj Iyer (manjo) wrote :

Posting screen shots of lspci for RAID Bus Controller. (2/2)

Manoj Iyer (manjo) wrote :

Screen shot for syslog for RAID config.

Manoj Iyer (manjo) wrote :

screen shot for cat /proc/partitions

Colin Watson (cjwatson) wrote :

This is not a ubiquity bug.

Changed in ubiquity:
status: New → Invalid
Manoj Iyer (manjo) wrote :

re assigning but to cjwatson upon his request.

Colin Watson (cjwatson) on 2009-02-11
Changed in hw-detect:
importance: Undecided → High
status: New → Triaged
Changed in base-installer:
importance: Undecided → High
status: New → Triaged
assignee: nobody → kamion
Changed in os-prober:
assignee: nobody → kamion
importance: Undecided → High
status: New → Triaged
Changed in partman-base:
assignee: nobody → kamion
importance: Undecided → High
status: New → Triaged
Manoj Iyer (manjo) wrote :

I skipped the RAID config in the installer and was able to complete install & boot to a shell prompt on that machine. I am posting screen shot of dmraid -c -s and cat /proc/partititions on installed system. Grub did not have any issues. dmraid reports no block devices found.

Colin Watson (cjwatson) on 2009-02-12
Changed in partman-base:
assignee: nobody → kamion
importance: Undecided → High
status: New → Triaged
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package hw-detect - 1.71ubuntu4

---------------
hw-detect (1.71ubuntu4) jaunty; urgency=low

  * Check dmraid's exit code as well as parsing its output, the latter for
    backward compatibility with dmraid << 1.0.0.rc15-1~exp4 only
    (LP: #325947).

 -- Colin Watson <email address hidden> Thu, 12 Feb 2009 10:19:04 +0000

Changed in hw-detect:
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package base-installer - 1.98ubuntu2

---------------
base-installer (1.98ubuntu2) jaunty; urgency=low

  * Check dmraid's exit code as well as parsing its output, the latter for
    backward compatibility with dmraid << 1.0.0.rc15-1~exp4 only
    (LP: #325947).

 -- Colin Watson <email address hidden> Thu, 12 Feb 2009 12:36:32 +0000

Changed in base-installer:
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package grub-installer - 1.36ubuntu2

---------------
grub-installer (1.36ubuntu2) jaunty; urgency=low

  * Check dmraid's exit code as well as parsing its output, the latter for
    backward compatibility with dmraid << 1.0.0.rc15-1~exp4 only
    (LP: #325947).

 -- Colin Watson <email address hidden> Thu, 12 Feb 2009 12:42:05 +0000

Changed in grub-installer:
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package os-prober - 1.28ubuntu4

---------------
os-prober (1.28ubuntu4) jaunty; urgency=low

  * Check dmraid's exit code as well as parsing its output, the latter for
    backward compatibility with dmraid << 1.0.0.rc15-1~exp4 only
    (LP: #325947).

 -- Colin Watson <email address hidden> Thu, 12 Feb 2009 12:44:30 +0000

Changed in os-prober:
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package partman-base - 128ubuntu7

---------------
partman-base (128ubuntu7) jaunty; urgency=low

  * Check dmraid's exit code as well as parsing its output, the latter for
    backward compatibility with dmraid << 1.0.0.rc15-1~exp4 only
    (LP: #325947).

 -- Colin Watson <email address hidden> Thu, 12 Feb 2009 13:09:28 +0000

Changed in partman-base:
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers